Subject: Re: [PATCH net v3 1/3] net: stmmac: vlan: Disable 802.1AD tag insertion offload

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 23 Oct 2025 11:54:12 +0100

On Thu, Oct 23, 2025 at 09:01:20AM +0530, G Thomas, Rohan wrote:
> Hi Russell,
> 
> On 10/18/2025 7:26 AM, G Thomas, Rohan wrote:
> > Hi Russell,
> > 
> > On 10/17/2025 6:12 PM, Russell King (Oracle) wrote:
> > > On Fri, Oct 17, 2025 at 02:11:19PM +0800, Rohan G Thomas via B4 Relay wrote:
> > > > diff --git a/drivers/net/ethernet/stmicro/stmmac/stmmac_main.c b/drivers/net/ethernet/stmicro/stmmac/stmmac_main.c
> > > > index 650d75b73e0b0ecd02d35dd5d6a8742d45188c47..dedaaef3208bfadc105961029f79d0d26c3289d8 100644
> > > > --- a/drivers/net/ethernet/stmicro/stmmac/stmmac_main.c
> > > > +++ b/drivers/net/ethernet/stmicro/stmmac/stmmac_main.c
> > > > @@ -4089,18 +4089,11 @@ static int stmmac_release(struct net_device *dev)
> > > >    static bool stmmac_vlan_insert(struct stmmac_priv *priv, struct sk_buff *skb,
> > > >    			       struct stmmac_tx_queue *tx_q)
> > > >    {
> > > > -	u16 tag = 0x0, inner_tag = 0x0;
> > > > -	u32 inner_type = 0x0;
> > > > +	u16 tag = 0x0;
> > > >    	struct dma_desc *p;
> > > 
> > > #include <stdnetdevcodeformat.h> - Please maintain reverse christmas-
> > > tree order.
> > 
> > Thanks for pointing this out. I'll fix the declaration order in the next
> > revision.
> > 
> > > 
> > > I haven't yet referred to the databook, so there may be more comments
> > > coming next week.
> > > 
> > 
> > Sure! Will wait for your feedback before sending the next revision.
> 
> Just checking in — have you had a chance to review the patch further? Or
> would it be okay for me to go ahead and send the next revision for
> review?

I've checked my version of the databook, and the core version that has
VLINS/DVLAN and my databook doesn't cover this. So I'm afraid I can't
review further.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!